Ticket #24919: spkg-configure.m4

File spkg-configure.m4, 582 bytes (added by dimpase, 3 years ago)

xz spkg-configure.m4

Line 
1SAGE_SPKG_CONFIGURE(
2    [xz], [
3        AC_REQUIRE([AC_PROG_SED])
4        AC_CACHE_CHECK([for xz >= 5.2.2], [ac_cv_path_XZ], [
5        AC_PATH_PROGS_FEATURE_CHECK([XZ], [xz], [
6            changequote(<,>)
7            xz_version=`$ac_path_XZ --version 2>&1 \
8                | cut -d' ' -f4 | $SED -n 1p`
9            changequote([,])
10            AS_IF([test -n "$xz_version"], [
11                AX_COMPARE_VERSION([$xz_version], [ge], [5.2.2], [
12                    ac_cv_path_XZ="$ac_path_XZ"
13                ])
14            ])], [sage_spkg_install_xz=yes; ac_cv_path_XZ=no
15        ])
16    ])
17])